Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Class Compile

    java.lang.Object
      net.sf.saxon.Compile

public class Compile
extends java.lang.Object

This Compile class provides a command-line interface allowing a stylesheet to be compiled.

Constructor Summary
`Compile()`

Method Summary
`protected void` | `badUsage(java.lang.String message)` Output error message when incorrect command line options/arguments are used
`protected void` | `doMain(java.lang.String[] args)` Support method for main program.
`static void` | `main(java.lang.String[] args)` Main program, can be used directly from the command line.
`static javax.xml.transform.URIResolver` | `makeURIResolver(java.lang.String className)` Load a URIResolver given its class name
`protected static void` | `quit(java.lang.String message, int code)` Exit with a message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Compile

    public Compile()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main program, can be used directly from the command line.

  The format is:

  java net.sf.saxon.Compile [options] style-file output-file

  This program compiles the XSL style sheet in style-file to the output-file.

  Parameters:
    `args` - Arguments supplied on the command line
  Throws:
    `java.lang.Exception` - Any compilation error occurs

### doMain

    protected void doMain(java.lang.String[] args)

  Support method for main program. This support method can also be invoked from subclasses that support the same command line interface

  Parameters:
    `args` - the command-line arguments

### quit

    protected static void quit(java.lang.String message,
                               int code)

  Exit with a message

  Parameters:
    `message` - Message to be output
    `code` - Result code to be returned to the operating system

### badUsage

    protected void badUsage(java.lang.String message)

  Output error message when incorrect command line options/arguments are used

  Parameters:
    `message` - Error message to be displayed

### makeURIResolver

    public static javax.xml.transform.URIResolver makeURIResolver(java.lang.String className)
                                                           throws XPathException

  Load a URIResolver given its class name

  Parameters:
    `className` - The fully-qualified name of the URIResolver class to be loaded
  Returns:
    A URIResolver that is an instance of the specified class
  Throws:
    `XPathException` - The class specified is not an instance of javax.xml.transform.URIResolver

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD